Update Session
curl --request PATCH \
--url http://127.0.0.1:3333/v3/sessions/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variables": [
"<unknown>"
],
"isCompleted": true,
"hasStarted": true
}
'import requests
url = "http://127.0.0.1:3333/v3/sessions/{sessionId}"
payload = {
"variables": ["<unknown>"],
"isCompleted": True,
"hasStarted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({variables: ['<unknown>'], isCompleted: true, hasStarted: true})
};
fetch('http://127.0.0.1:3333/v3/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123
}Chat API
Update Session
Update session state.
PATCH
/
v3
/
sessions
/
{sessionId}
Update Session
curl --request PATCH \
--url http://127.0.0.1:3333/v3/sessions/{sessionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variables": [
"<unknown>"
],
"isCompleted": true,
"hasStarted": true
}
'import requests
url = "http://127.0.0.1:3333/v3/sessions/{sessionId}"
payload = {
"variables": ["<unknown>"],
"isCompleted": True,
"hasStarted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({variables: ['<unknown>'], isCompleted: true, hasStarted: true})
};
fetch('http://127.0.0.1:3333/v3/sessions/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Default Response